summaryrefslogtreecommitdiffhomepage
path: root/website/import.sh
diff options
context:
space:
mode:
Diffstat (limited to 'website/import.sh')
-rwxr-xr-xwebsite/import.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/website/import.sh b/website/import.sh
new file mode 100755
index 000000000..e1350e83d
--- /dev/null
+++ b/website/import.sh
@@ -0,0 +1,27 @@
+#!/bin/bash
+
+# Copyright 2018 The gVisor Authors.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -xeuo pipefail
+
+if [[ -d $0.runfiles ]]; then
+ cd $0.runfiles
+fi
+
+exec docker import \
+ -c "EXPOSE 8080/tcp" \
+ -c "ENTRYPOINT [\"/server\"]" \
+ $(find . -name files.tgz) \
+ gvisor.dev/images/website